/* FILE: floatvec.cc                 -*-Mode: c++-*-
 * At minimum, this file must exist to quiet HP's CC pre-linker.
 */
#include "floatvec.h"

void Convert(const Nb_Vec3<REAL4> &invec,Nb_Vec3<REAL8> &outvec)
{
  outvec.x=static_cast<REAL8>(invec.x);
  outvec.y=static_cast<REAL8>(invec.y);
  outvec.z=static_cast<REAL8>(invec.z);
}

void Convert(const Nb_Vec3<REAL8> &invec,Nb_Vec3<REAL4> &outvec)
{
  outvec.x=static_cast<REAL4>(invec.x);
  outvec.y=static_cast<REAL4>(invec.y);
  outvec.z=static_cast<REAL4>(invec.z);
}

void Convert(const Nb_BoundingBox<REAL4> &inbox,
	     Nb_BoundingBox<REAL8> &outbox)
{
  REAL4 xmin,ymin,zmin;
  inbox.GetMinPt(xmin,ymin,zmin);
  Nb_Vec3<REAL8> wmin(static_cast<REAL8>(xmin),
		      static_cast<REAL8>(ymin),
		      static_cast<REAL8>(zmin));
  REAL4 xmax,ymax,zmax;
  inbox.GetMaxPt(xmax,ymax,zmax);
  Nb_Vec3<REAL8> wmax(static_cast<REAL8>(xmax),
		      static_cast<REAL8>(ymax),
		      static_cast<REAL8>(zmax));
  outbox.Set(wmin,wmax);
}

void Convert(const Nb_BoundingBox<REAL8> &inbox,
	     Nb_BoundingBox<REAL4> &outbox)
{
  REAL8 xmin,ymin,zmin;
  inbox.GetMinPt(xmin,ymin,zmin);
  Nb_Vec3<REAL4> nmin(static_cast<REAL4>(xmin),
		      static_cast<REAL4>(ymin),
		      static_cast<REAL4>(zmin));
  REAL8 xmax,ymax,zmax;
  inbox.GetMaxPt(xmax,ymax,zmax);
  Nb_Vec3<REAL4> nmax(static_cast<REAL4>(xmax),
		      static_cast<REAL4>(ymax),
		      static_cast<REAL4>(zmax));
  outbox.Set(nmin,nmax);
}




